<?
session_start();
require_once('classes/body.class.php');
require_once('classes/db.class.php');
require_once('classes/system.class.php');
$title= new Body;
$title->SetTitle(homeurl.' - Создать профиль');
$title->GetHeader();

if ($b == true){
header('location:/');
die();
}
//echo'<div class="row"><div class="col-sm-6">';
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: Регистрация</div></div></div>';
$do = isset($_GET['do']) ? check($_GET['do']) : false;
switch($do) {
default:
$_SESSION['reg_nick'] = '';
if (isset($_POST['save'])) {
$err = [];
$form = ['nick' => isset($_POST['nick']) ? check($_POST['nick']) : null];
if (empty($form['nick']) && mb_strlen($form['nick']) < 2 OR mb_strlen($form['nick']) > 20) {
$err[] = 'Проверьте правильность ввода псевдонима!';
}
$stm = DB::$dbs->query("SELECT * FROM `blogger` WHERE `nick` = ?",[$form['nick']]);
$result = $stm -> fetch(PDO::FETCH_OBJ);
if (!empty($result->nick)) {
$err[] = 'Такой псевдоним в базе уже есть!';
}
if (empty($err)) {
$_SESSION['reg_nick'] = $form['nick'];
header('location: ?do=step2');
die();
} else {
echo '<div class="alert alert-danger">';
foreach($err as $error) {
echo '<b>'.$error.'</b><br/>';
}
echo '</div>';
}
}
echo '<div class="list-group-item media"><div class="media-body"><div class="list-group-item-heading"><form action="?" name="form" method="POST">Псевдоним:<br/><input type="text"  class="form-control" name="nick"><br/><input class="btn btn-primary" type="submit" name="save" value="Далее"/></form></div></div></div>';
break;
case 'step2':
if (empty($_SESSION['reg_nick'])) header('Location: ?');
if (isset($_POST['save'])) {
$err = [];
$form = ['nick' => $_SESSION['reg_nick'], 'name' => isset($_POST['name']) ? check($_POST['name']) : null, 'family' => isset($_POST['family']) ? check($_POST['family']) : null, 'mail' => isset($_POST['mail']) ? check($_POST['mail']) : null, 'sex' => isset($_POST['sex']) ? check($_POST['sex']) : null, 'spec' => isset($_POST['spec']) ? abs((int)$_POST['spec']) : null, 'code' => isset($_POST['code']) ? check($_POST['code']) : null];
if (empty($form['code']) OR $_SESSION['captcha'] != $form['code']) {
$err[] = ' Каптча введена не верно.';
}
if (empty($form['nick']) && mb_strlen($form['nick']) < 2 OR mb_strlen($form['nick']) > 20) {
$err[] = 'Проверьте правильность ввода псевдонима!';
}
if (empty($form['name'])) {
$err[] = 'Проверьте правильность ввода имени.';
}
if (empty($form['family'])) {
$err[] = 'Укажите вашу фамилию!';
}
if (empty($form['sex'])) {
$err[] = 'Укажите свой пол!';
}
if (empty($form['mail'])) {
$err[] = 'Укажите свой E-mail!';
}

$stm = DB::$dbs->query("SELECT * FROM `blogger` WHERE `nick` = ? AND `email` = ? AND `email_secret` = ?",[$form['nick'],$form['mail'],$form['mail_secret']]);
$result = $stm -> fetch(PDO::FETCH_OBJ);
if (!empty($result->nick)) {
$err[] = 'Такой псевдоним в базе уже есть!';
}
if (!empty($result->email)) {
$err[] = 'Такой E-mail в базе уже есть!';
}

if (DB::$dbs->querySingle("SELECT COUNT(*) FROM `blogger` WHERE `nick` = ?", [$form['nick']]) > 0) {
$err[] = 'Такой псевдоним уже есть в системе!';
}
$pass = pass(8);
if (empty($err)) {
DB::$dbs->query("INSERT INTO `blogger` (`nick`,`name`,`family`,`email`,`pass`,`sex`,`reg`,`activ`,`ip`,`soft`,`last`,`spec`) VALUES (?,?,?,?,?,?,?,?,?,?,?,?)", [$form['nick'],$form['name'],$form['family'],$form['mail'],sha1($pass.'gearnet'),$form['sex'],time(),1,$_SERVER['REMOTE_ADDR'],$_SERVER['HTTP_USER_AGENT'],time(),$form['spec']]);
$id = DB::$dbs->lastInsertId();
setcookie('id', $id, time()+3600*24*30*12, '/');
setcookie('pass', sha1($form['pass'].'gearnet'), time()+3600*24*30*12, '/');
$mes = 'Спасибо за регистрацию на сайте '.$_SERVER['HTTP_HOST'].'!<br />Ваш ник: <b>'.$form['nick'].'</b><br/> Ваш E-mail: <b>'.$form['mail'].'</b><br/>Ваш пароль: <b>'.$pass.'</b><br/>Используйте эти данные для входа на сайт.';
$from = 'SUPPORT@'.homeurl.'';
mail($form['mail'], "Спасибо за регистрацию", $mes,
"From: $from \r\n"
."Content-Type: text/html; charset=\"utf-8\" \r\n"
."X-Mailer: PHP/" . phpversion());
lenta('На сайте зарегистрировался новый мастер '.Nick($id));
echo '<div class="list-group-item media"><div class="media-body"><div class="list-group-item-heading">Регистрация прошла успешно! Регистрационные данные для входа на сайт отправлены на E-mail указанный при регистрации<br/></div></div></div>';
$title->GetMenu();
$title->GetFooter();
die();
} else {
echo '<div class="alert alert-danger">';
foreach($err as $error) {
echo '<b>'.$error.'</b><br/>';
}
echo '</div>';
}
}
echo '<div class="list-group-item media"><div class="media-body"><div class="list-group-item-heading"><form action="?do=step2" name="form" method="POST">Ваш псевдоним: <b>' . $_SESSION['reg_nick'] . '</b><br/>Имя:<br/><input  class="form-control" type="text" name="name"><br/
>Фамилия:<br/><input  class="form-control" type="text" name="family"><br/
>E-mail:<br/><input  class="form-control" type="text" name="mail"><br/>Выберите пол:<br/><select class="form-control"name="sex"><option value="Муж">Муж</option><option value="Жен">Жен</option></select><br/>';
echo 'Выберите специальность:<br/><select class="form-control" name="spec">';
$sp = [0=>'Ничего не умею', 1=>'Кодер', 2=>'Дизайнер', 3=>'Хостер', 4=>'Селлер'];
foreach($sp as $value => $key) {
echo '<option value="'.$value.'">'.$key.'</option>';
}
echo '</select><br/>Каптча: <img src="/system/captcha.php" alt="*"/><br/><input class="form-control" type="text" name="code"/><br/><input type="submit" name="save"  class="btn btn-primary" value="Регистрация"/></form><br/>Все поля обязательные к заполнению*<br/></div></div></div>';
break;
}


///Подключаем меню
$title->GetMenu();

///Подключаем футер
$title->GetFooter();
?>